DIFF(1)

NAZWA
diff - compare files line by line

SKŁADNIA
diff [OPCJE]... PLIKI

OPIS
Porównuje PLIKI wiersz po wierszu.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--normal
    wypisuje zwykły diff (domyślnie)

-q, --brief
    informuje jedynie, że pliki się różnią

-s, --report-identical-files
    gdy pliki są identyczne, wypisuje informację o tym

-c, -C LICZBA, --context[=LICZBA]
    wypisuje LICZBĘ (domyślnie 3) wierszy kopiowanego kontekstu

-u, -U LICZBA, --unified[=LICZBA]
    wypisuje LICZBĘ (domyślnie 3) wierszy zunifikowanego kontekstu

-e, --ed
    wypisuje zapis eda

-n, --rcs
    wpisuje różnicę w formacie diffa RCS

-y, --side-by-side
    wypisuje wynik w dwóch kolumnach

-W, --width=LICZBA
    wypisuje co najwyżej LICZBĘ (domyślnie 130) kolumn

--left-column
    wypisuje jedynie lewą kolumnę wspólnych wierszy

--suppress-common-lines
    nie wypisuje wspólnych wierszy

-p, --show-c-function
    pokazuje funkcję C, w której znajduje się każda ze zmian

-F, --show-function-line=WYR-REG
    pokazuje ostatni wiersz pasujący do WYR-REG

--label ETYKIETA
    use LABEL instead of file name and timestamp (can be repeated)

-t, --expand-tabs
    zamienia tabulację na spacje w wypisywanym wyniku

-T, --initial-tab
    tworzy formatowanie, dodając na początku znak tabulacji

--tabsize=LICZBA
    tabulacja ma rozmiar LICZBA (domyślnie 8) kolumn

--suppress-blank-empty
    nie wypisuje spacji lub tabulatora przed pustymi wierszami

-l, --paginate
    przetwarza wyjście przez pr, numerując strony

-r, --recursive
    porównuje znalezione podkatalogi rekurencyjnie

--no-dereference
    don't follow symbolic links

-N, --new-file
    traktuje brakujące pliki jako puste

--unidirectional-new-file
    traktuje brakujące pliki początkowe jako puste

--ignore-file-name-case
    ignoruje wielkość znaków podczas porównywania nazw plików

--no-ignore-file-name-case
    nie ignoruje wielkości znaków podczas porównywania nazw plików

-x, --exclude=WZORZEC
    pomija pliki pasujące do WZORCA

-X, --exclude-from=PLIK
    pomija pliki pasujące do wzorca w PLIKU

-S, --starting-file=PLIK
    rozpoczyna od PLIKU podczas porównywania katalogów

--from-file=PLIK1
    porównuje PLIK1 do wszystkich elementów zbioru (operandów); PLIK1 może być katalogiem

--to-file=PLIK2
    porównuje wszystkie elementy zbioru (operandy) do PLIKU2; PLIK2 może być katalogiem

-i, --ignore-case
    ignoruje wielkość znaków w zawartości pliku

-E, --ignore-tab-expansion
    ignoruje zmiany związane z zamianą tabulacji na spacje

-Z, --ignore-trailing-space
    ignoruje białe znaki na końcu wiersza

-b, --ignore-space-change
    ignoruje zmiany w liczbie białych znaków

-w, --ignore-all-space
    ignoruje wszystkie białe znaki

-B, --ignore-blank-lines
    ignore changes where lines are all blank

-I, --ignore-matching-lines=WYR-REG
    ignore changes where all lines match RE

-a, --text
    traktuje wszystkie pliki jako tekstowe

--strip-trailing-cr
    wycina końcowy znak powrotu karetki (CR) w wyjściu

-D, --ifdef=NAZWA
    wypisuje połączone pliki z różnicami "#ifdef NAZWA"

--GTYPE-group-format=FORMAT-GRUPY
    formatuje grupy wejścia TYP-G za pomocą FORMATU-GRUPY

--line-format=FORMAT-WIERSZA
    formatuje wszystkie wiersze wejściowe za pomocą FORMATU-WIERSZA

--LTYPE-line-format=FORMAT-WIERSZA
    formatuje wiersze wejściowe TYP-L za pomocą FORMATU-WIERSZA

    Opcje formatów zapewniają dokładniejszą kontrolę wyjścia

    różnic, będącą uogólnieniem opcji -D/--ifdef.

TYP-L może być jednym z: old, new lub unchanged.
    TYP-G może być jednym z: TYP-L lub changed.

    FORMAT-GRUPY (tylko) może zawierać:

%<  wiersze z PLIKU1

%>  wiersze z PLIKU2

%=  wiersze wspólne plikom PLIK1 i PLIK2

%[-][SZEROKOŚĆ][.[PREC]]{doxX}LITERA
    określenie LITERY w stylu printf

    LITERY odnoszą się w poniższej postaci do nowej grupy, małe litery odnoszą się do starej grupy:

F   numer pierwszego wiersza

L   numer ostatniego wiersza

N   liczba wierszy = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    jeśli A równa się B to T, w przeciwnym wypadku E

    FORMAT-WIERSZA (tylko) może zawierać:

%L  zawartość wiersza

%l  zawartość wiersza, z wyjątkiem końcowych znaków nowego wiersza

%[-][SZEROKOŚĆ][.[PREC]]{doxX}n
    określenie numera wiersza wejściowego w stylu printf

    FORMAT-GRUPY i FORMAT-WIERSZA mogą zawierać:

%%  %

%c'C'
    pojedynczy znak C

%c'\OOO'
    znak z kodem ósemkowym 000

C   znak C (inne znaki reprezentują same siebie)

-d, --minimal
    mocno stara się znaleźć mniejszy zestaw zmian

--horizon-lines=LICZBA
    zatrzymuje LICZBĘ wierszy wspólnego przedrostka i przyrostka

--speed-large-files
    zakłada, że pliki są duże i zawierają wiele rozproszonych zmian

--color[=KIEDY]
    color output; WHEN is 'never', 'always', or 'auto'; plain --color means --color='auto'

--palette=PALETTE
    the colors to use when --color is active; PALETTE is a colon-separated list of terminfo capabilities

--help
    wyświetla ten tekst i kończy pracę

-v, --version
    wyświetla informacje o wersji i kończy działanie

FILES are 'FILE1 FILE2' or 'DIR1 DIR2' or 'DIR FILE' or 'FILE DIR'. If --from-file or --to-file is given, there are no restrictions on FILE(s). If a FILE is '-', read standard input. Exit status is 0 if inputs are the same, 1 if different, 2 if trouble.

AUTOR
Napisane przez Paula Eggerta, Mike'a Haertela, Davida Hayesa, Richarda Stallmana i Lena Towera.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów proszę wysyłać (po angielsku) na adres bug-diffutils@gnu.org
Strona internetowa GNU diffutils: <https://www.gnu.org/software/diffutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <https://www.gnu.org/gethelp/>

PRAWA AUTORSKIE
Copyright © 2021 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

The full documentation for diff is maintained as a Texinfo manual. If the info and diff programs are properly installed at your site, the command

    info diff

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Adam Byrtek <alpha@irc.pl>, Wojtek Kotwica <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com> Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI. Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres manpages-pl-list@lists.sourceforge.net.